

class ProcessedImage:

    img = None
    processedImg = None
    objects = []

    def __init__(self, img, objects):
        self.objects = []
        self.img = img

        for object in objects:
            if object.classification == "handbag" or object.classification == "suitcase" or object.classification == 'backpack' or object.classification == 'person':
                self.objects.append(object)

    def getObjects(self):
        return self.objects

    def getImage(self):
        return self.img
